(function() {  
    const NODE_ENV = 'dev'; // dev:开发环境 | test:测试环境  
    let ENV_VAR = null;  
	 
	var NODE_NAME=  process.env['NODE_NAME']
	var branchParameter=  process.env['branchParameter']
	var envjs=  process.env['envjs']
	
	console.log(NODE_NAME,branchParameter,envjs)
    if (process.env.NODE_ENV === "development") {  
		 
        ENV_VAR = require('@/config/.env.dev.js');
		ENV_VAR = require('@/config/.env.dev.ud.js');
		 
		
    } else if (process.env.NODE_ENV === "production") {  
		if(NODE_NAME=="test"){
			if("youdian"==branchParameter){
				ENV_VAR = require('@/config/.env.test.ud.js'); 
			}else if("51team"==branchParameter){
				ENV_VAR = require('@/config/.env.test.js'); 
			}else{
				ENV_VAR = require('@/config/.env.test.js'); 
			}
			
		}else if(NODE_NAME=="production"){
			
			if("youdian"==branchParameter){
				ENV_VAR = require('@/config/.env.prod.ud.js'); 
			}else if("51team"==branchParameter){
				ENV_VAR = require('@/config/.env.prod.js'); 
			}else{
				ENV_VAR = require('@/config/.env.prod.js'); 
			}
			
		} else  {  
			ENV_VAR = require('@/config/.env.prod.js');  
		} 
		
		
    }  

    if (ENV_VAR) {  
		process.car = {};  
		process.car.envjs=envjs;
		process.car.branchParameter=branchParameter;
        for (let key in ENV_VAR) {  
			process.car[key] = ENV_VAR[key];			
        }  
	
    }  
})();
